Copyright XebiaLabs B.V. 2009-2012. All rights reserved.
PermissionService
Manages permissions in Deployit.
| HEAD | /security/check/{permission}/{id:.*?} | Checks if the currently logged in user has a certain permission on a CI. |
| GET | /security/permission/{permission}/{role}/{id:.*?} | Checks if a permission is granted to a role on a CI. |
| PUT | /security/permission/{permission}/{role}/{id:.*?} | Grants a permission to a role on a CI. |
| DELETE | /security/permission/{permission}/{role}/{id:.*?} | Revokes the permission of a role on a CI. |
HEAD /security/check/{permission}/{id:.*?}
Checks if the currently logged in user has a certain permission on a CI. If the user does not have this permission, error code
403
is returned.- Parameters
-
Path permission String the name of the permission to check. Path id String the path of the CI to check the permission on.
- Response body
- Empty
GET /security/permission/{permission}/{role}/{id:.*?}
Checks if a permission is granted to a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to check. Path id String the path of the CI to check the permission on. Path role String the role to which the permission should be granted.
- Response body
- boolean -
trueif granted. - Content type: application/xml
PUT /security/permission/{permission}/{role}/{id:.*?}
Grants a permission to a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to grant. Path id String the path of the CI to grant the permission on. Path role String the role to which the permission should be granted.
- Response body
- Empty
DELETE /security/permission/{permission}/{role}/{id:.*?}
Revokes the permission of a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to revoke. Path id String the path of the CI to revoke the permission from. Path role String the role from which the permission should be revoked.
- Response body
- Empty
